# master-thesis

This code base is written while writing my master thesis at NTNU.

The application have been run and tested in Google Chrome 56 on OSX 10.11.5 El Capitan. The application is written in Flask/Python 3 on the backend, and vanilla HTML, CSS and JavaScript on the client side. The database is MongoDB, using PyMongo as API between Flask and MongoDB. The editor is provided by [Ace](https://ace.c9.io/).

## Installation
Requires:
* MongoDB (www.mongodb.com)

In your terminal, `cd` into the folder 'adapt' and write `python3 -m venv flask` to create a virtual environment. Then you have to install the requirements. Do so by typing `flask/bin/pip install -r requirements.txt`.

Make sure that you have MongoDB installed. Run MongoDB by opening a new terminal window and writing `mongod`.

Run the application by typing `flask/bin/python run.py` when you're in the root folder
