"use strict";

const editor = ace.edit("ace-editor");
editor.setTheme("ace/theme/twilight");
editor.getSession().setMode("ace/mode/javascript");
editor.getSession().setUseWrapMode(true);
editor.focus();
editor.$blockScrolling = Infinity

// Disables pasting into the editor
editor.onPaste = function() {
                   editorMessage.innerHTML = "Pasting code have a negative impact on the recorded data and have thus been disabled."
                   editorMessageWrapper.style.display = 'block';

                   setTimeout(function(){
                     editorMessageWrapper.style.display = 'none';
                   }, 10000);
                 }
                 
// Disable undo/redo
setTimeout(function() {
 editor.getSession().setUndoManager()
}, 1000);
