"use strict";

const baseURL = "http://localhost:5000/api/v1.0/"

function doGet(urlGET, successCallback, errorCallback){
  const xhr = new XMLHttpRequest();
  xhr.open('GET', baseURL + urlGET);
  xhr.onload = function() {
      if (xhr.status === 200) {
        successCallback(xhr.responseText)
      }
      else {
        errorCallback(xhr.status);
      }
  };
  xhr.send();
}

function doPost(urlPOST, data, successCallback, errorCallback){
  const xhr = new XMLHttpRequest();

  xhr.open('POST', baseURL + urlPOST);
  xhr.setRequestHeader('Content-Type', 'application/json');
  xhr.onload = function() {
      if (xhr.status === 200){
        successCallback(xhr.responseText)
      }
      else if (xhr.status !== 200) {
        errorCallback(xhr.status)
      }
  };
  xhr.send(JSON.stringify(data));
}

function doPut(urlPUT, data, successCallback, errorCallback){
  const xhr = new XMLHttpRequest();

  xhr.open('PUT', baseURL + urlPUT);
  xhr.setRequestHeader('Content-Type', 'application/json');
  xhr.onload = function() {
      if (xhr.status === 200){
        successCallback(xhr.responseText)
      }
      else if (xhr.status !== 200) {
        errorCallback(xhr.status)
      }
  };
  xhr.send(JSON.stringify(data));
}

function doDelte(urlDELETE, data, successCallback, errorCallback, header){

}

// GENERIC SUCCESS AND ERROR FUNCTIONS
function error(error) {
  // console.log(JSON.parse(error))
}

function success(success) {
  // console.log(JSON.parse(success))
}

// Get a user by user_id
// function getUsers(successCallback, errorCallback, userId){
//   return doGet(baseURL + 'users/' + userId, successCallback, errorCallback);
// }

// Post a new user to the database
// function postUsers(successCallback, errorCallback){
//   return doPost(baseURL + 'users', {"username" : "tepose"}, successCallback, errorCallback);
// }

// Update a user's latest completed task
// function putUsers(successCallback, errorCallback, userId, data){
//   return doPut(baseURL + 'users/' + userId, data, successCallback, errorCallback);
// }
